package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
	"net/url"
	"time"
)

var proxyip = "http://*****:**"
var domain = "https://myip.ipip.net"

func main() {

	u, _ := url.Parse(proxyip)
	t := &http.Transport{
		MaxIdleConns:    10,
		MaxConnsPerHost: 10,
		IdleConnTimeout: time.Duration(10) * time.Second,
		//Proxy: http.ProxyURL(url),
		Proxy: http.ProxyURL(u),
	}
	c := &http.Client{
		Transport: t,
		Timeout:   time.Duration(10) * time.Second,
	}
	reqest, err := http.NewRequest("GET", domain, nil)
	if err != nil {
		panic(err)
	}
	response, err := c.Do(reqest)
	if err != nil {
		panic(err)
	}
	defer response.Body.Close()
	res, err := ioutil.ReadAll(response.Body)
	if err != nil {
		panic(err)
	}
	fmt.Println(string(res))

}
